library(data.table)
library(dplyr)
library(tidyverse)

peakSubsample <- function(x, out){
    data = read.table(x, header=FALSE, sep="\t", quote = "", na.strings=c("", "NA")) # read in all files
    data = data.table(data[order(-data$V7), ][1:20000,])
    write.table(data, file=out, sep="\t", quote=F, row.names=F) 
}

peakSubsample(x="consensus/enhancers/annotation/dunnart_enhancer_annotationConvertedIDs.txt", 
out = "consensus/enhancers/annotation/dunnart_enhancer_annotationConvertedIDs_subSample.txt")

peakSubsample(x="consensus/promoters/annotation/dunnart_promoter_annotationConvertedIDs.txt", 
out = "consensus/promoters/annotation/dunnart_promoter_annotationConvertedIDs_subSample.txt")


peakSubsample(x="consensus/promoters/dunnart_promoter_peaks.narrowPeak", 
out = "consensus/promoters/dunnart_promoter_peaks_subsample.narrowPeak")

peakSubsample(x="consensus/enhancers/dunnart_enhancer_peaks.narrowPeak", 
out = "consensus/enhancers/dunnart_enhancer_peaks_subsample.narrowPeak")
